Subject: Notification: incoming/1399

From: [email-masked]
Date: Sun, 15 Aug 2004 10:58:09 -0500 (CDT)

FVWM Bug Tracking notification

new message incoming/1399

Message summary for PR#1399
	From: Manoj Srivastava <[email-masked]>
	Subject: fvwm: Wait only works once
	Date: Sun, 15 Aug 2004 10:53:20 -0500
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked] Sun Aug 15 10:58:08 2004
To: [email-masked]
Cc: Hugo Haas <[email-masked]>, [email-masked]
Subject: fvwm: Wait only works once
From: Manoj Srivastava <[email-masked]>
Organization: The Debian Project
Mail-Copies-To: nobody
Date: Sun, 15 Aug 2004 10:53:20 -0500

Hi,

        [Please retain the CC to [email-masked], so
        that theDebian BTS has a record of your input].

	This was reported by a Debian user.

 Package: fvwm
 Version: 2.5.10-6
 Severity: normal

 I just upgraded from 2.4.x to 2.5.x, and I have noted that my start
 function started misplacing my windows. The problem is in the
 following lines:

   + "I" GotoPage 1 0
   + "I" Exec exec mozilla
   + "I" Wait Gecko
   + "I" Exec exec mozilla -raise -remote "openURL(...,new-window)"
   + "I" Wait Gecko
   + "I" GotoPage 2 0
   + "I" Exec exec mozilla -raise -remote "openURL(...,new-window)"
   + "I" Wait Gecko
   + "I" Exec exec mozilla -raise -remote "openURL(...,new-window)"
   + "I" Wait Gecko

 I noted that the first "Wait Gecko" actually waits until the first
 Gecko window appears. However, all the subsequent "Wait Gecko" calls
 seem to exit immediately, as if they were acknowledging the first
 window that showed up. I have similar calls to "Wait xterm" that also
 seem to be skipped.

 Trying to understand the problem better, I managed to get the intended
 effect with the following test function:

   DestroyFunc TestTT
   AddToFunc TestTT
   + "I" GotoPage 1 0
   + "I" Exec exec mozilla
   + "I" Wait Gecko
   + "I" Exec exec mozilla -raise -remote "openURL(file:///tmp/foo,new-window)"
   + "I" Wait Gecko
   + "I" Wait Gecko
   + "I" Wait Gecko
   + "I" Wait Gecko
   + "I" Wait Gecko
   + "I" GotoPage 2 0
   + "I" Exec exec mozilla -raise -remote "openURL(file:///tmp/foo,new-window)"
   + "I" Wait Gecko
   + "I" Wait Gecko
   + "I" Wait Gecko
   + "I" Exec exec mozilla -raise -remote "openURL(file:///tmp/foo,new-window)"
   + "I" Wait Gecko
   + "I" Wait Gecko
   + "I" Wait Gecko
   + "I" GotoPage 2 1
   + "I" Exec exec mozilla -raise -remote "openURL(file:///tmp/foo,new-window)"
   + "I" Wait Gecko
   + "I" Wait Gecko
   + "I" Wait Gecko
   + "I" Exec exec mozilla -raise -remote "openURL(file:///tmp/foo,new-window)"
   + "I" Wait Gecko
   + "I" Wait Gecko
   + "I" Wait Gecko
   + "I" GotoPage 2 2

 -- System Information:
 Debian Release: testing/unstable
   APT prefers testing
   APT policy: (900, 'testing')
 Architecture: i386 (i686)
 Kernel: Linux 2.6.5
 Locale: LANG=en_US, LC_CTYPE=fr_FR.UTF-8

 Versions of packages fvwm depends on:
 ii  libc6                       2.3.2.ds1-12 GNU C Library: Shared libraries an
 ii  libfontconfig1              2.2.2-2      generic font configuration library
 ii  libfreetype6                2.1.7-2      FreeType 2 font engine, shared lib
 ii  libfribidi0                 0.10.4-1.1   Free Implementation of the Unicode
 ii  libice6                     4.3.0-7      Inter-Client Exchange library
 ii  libpng12-0                  1.2.5.0-6    PNG library - runtime
 ii  libsm6                      4.3.0-7      X Window System Session Management
 ii  libstroke0                  0.5.1-4      support for mouse strokes like tho
 ii  libx11-6                    4.3.0-7      X Window System protocol client li
 ii  libxext6                    4.3.0-7      X Window System miscellaneous exte
 ii  libxft2                     2.1.2-6      FreeType-based font drawing librar
 ii  libxpm4                     4.3.0-7      X pixmap library
 ii  libxrender1                 0.8.3-7      X Rendering Extension client libra
 ii  xlibs                       4.3.0-7      X Window System client libraries m
 ii  zlib1g                      1:1.2.1-5    compression library - runtime

--
"[In the U. S. Army] An officer does not take an oath of loyalty to
the Commander-in-Chief.  He takes an oath of loyalty to the
Constitution." Sam Donaldson
Manoj Srivastava   <[email-masked]>  <http://www.debian.org/%7Esrivasta/>
1024R/C7261095 print CB D9 F4 12 68 07 E4 05  CC 2D 27 12 1D F5 E8 6E
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]